Page MenuHomePhabricator

Newcomer tasks: Create all final visual assets
Closed, ResolvedPublicDesign

Description

Create the following visual assets as part of the newcomer tasks UI:

Add Suggested edits overlays
V1.0 Introduction overlay assetsSVG DesktopPNG@4x DesktopSVG MobilePNG@4x
General intro illustration
User who answered "Add image" in their Welcome survey
User who answered "Create article" in their Welcome survey
User who answered "Add or edit content" in their Welcome survey
User who answered "Fix typo" in their Welcome survey
Topic Overlay assetsSVG DesktopPNG@4x DesktopSVG MobilePNG@4x
General illustration
User who answered "Add image" in their Welcome survey
User who answered "Create article" in their Welcome survey
User who answered "Add or edit content" in their Welcome survey
User who answered "Fix typo" in their Welcome survey
Difficulty Overlay assetsSVG DesktopPNG@4x DesktopSVG MobilePNG@4x
Square format (Desktop)
n/an/a
Landscape format (Mobile)n/an/a
Suggested edits module
Asset (same for Desktop & Mobile)SVGPNG@4x
End of results graphic
No results graphic
Error message
Placeholder image on article card
Impact module
No edits graphicuse same heart articles "shield" graphic as general intro overlay illustration
"Try suggested edits" graphicuse same pencil-ruler cross over lightbulb graphic as general topic overlay illustration
Badge for 10 Suggested edits completed
Progress counter for 10 Suggested editsuse https://codepen.io/reets/pen/RwwGLeg
Icons
Difficulty levels - easy, medium, hard, mixed (LTR & RTL versions)
Mentor icon (LTR & RTL versions)
Live results icon

Event Timeline

RHo created this task.Oct 14 2019, 4:46 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2019, 4:46 PM
RHo updated the task description. (Show Details)Oct 14 2019, 7:06 PM
RHo closed this task as Resolved.Oct 17 2019, 10:11 PM
RHo updated the task description. (Show Details)

Assets completed and added to ticket.

hi @kostajh @Catrope @Tgr - i've added notes on Zeplin but maybe better to ping you all directly that I've uploaded all new visual assets for newcomer tasks to this ticket. LMK if you notice anything is missing or not looking right.

RHo updated the task description. (Show Details)Oct 17 2019, 10:30 PM
RHo removed a project: Growth Design.
RHo updated the task description. (Show Details)Oct 18 2019, 11:32 AM
RHo updated the task description. (Show Details)Oct 22 2019, 9:53 AM

Maybe some of these visuals should be converted for RTL. @Dyolf77_WMF, can you have a look at them?

Absolutely, here the list:

  • Difficulty-square.svg
  • Intro-add-image.svg
  • Intro-add-info.svg
  • Intro-create-article.svg
  • Intro-typo.svg
  • no-results.svg
  • Topic-Add-info.svg
  • Topic-Create-article.svg
  • Topic-Fix-typo.svg

Here is an example of edit: the title of the article and subtitle have to be in the right side like in Wikipedia:

Intro-add-image.svg

Please tell me if you want that I show the changes in other files.

RHo reopened this task as Open.Oct 22 2019, 1:33 PM

Absolutely, here the list:

  • Difficulty-square.svg
  • Intro-add-image.svg
  • Intro-add-info.svg
  • Intro-create-article.svg
  • Intro-typo.svg
  • no-results.svg
  • Topic-Add-info.svg
  • Topic-Create-article.svg
  • Topic-Fix-typo.svg

Here is an example of edit: the title of the article and subtitle have to be in the right side like in Wikipedia:

Intro-add-image.svg

Please tell me if you want that I show the changes in other files.

Thanks @Dyolf77_WMF and @Trizek-WMF - knew I forgot something! Will make the additions in the next few days.

RHo updated the task description. (Show Details)Oct 25 2019, 11:46 AM

Updated with missing RTL versions - please review @Dyolf77_WMF in case I missed something. Thanks!

RHo updated the task description. (Show Details)Oct 25 2019, 12:58 PM
Dyolf77_WMF added a comment.EditedOct 25 2019, 12:58 PM

Hi @RHo - thanks for upating these icons. I see for Difficulty-square-rtl.svg in the red page, Title and the subtitle are not on the right place.

RHo updated the task description. (Show Details)Oct 25 2019, 12:59 PM
RHo updated the task description. (Show Details)Oct 25 2019, 1:03 PM

Hi @RHo - thanks for upating these icons. I see for Difficulty-square-rtl.svg in the red page, Title and the subtitle are not on the right place.

Updated! Thanks for 'proof-viewing' :D

RHo updated the task description. (Show Details)Nov 3 2019, 8:49 PM

hi @Catrope - I've removed the egregious PNG embedded in the "intro-heart-articles" graphic, and reduced the file size as much as possible. Have also reduced the sizes of the difficulty overlay images slightly too.

MMiller_WMF closed this task as Resolved.Nov 13 2019, 1:15 AM
MMiller_WMF added a subscriber: MMiller_WMF.

Though we are still using the contents of this task, the task is complete.

RHo updated the task description. (Show Details)Fri, Nov 15, 11:47 AM